<template>
  <section section="where_are_we" class="ws__container">
    <div class="ws__block">
      <div class="ws__title">
        {{ $t('app.home.wherearewe.title') }}
      </div>
      <div class="ws__description">
        <itl-component i18n-key="app.home.wherearewe.description" />
      </div>
    </div>
  </section>
</template>

<script>
import ItlComponent from '@components/common/I18n.vue';

export default {
  name: 'WhereAreWe',
  components: {
    ItlComponent,
  },
};
</script>

<style lang="scss" scoped>
.ws__container {
  @include desktop {
    height: 400px;
  }
  @include flex(row, center, center);
}

.ws__block {
  @include desktop {
    width: 60%;
  }
  @include flex(column, center, center);
}

.ws__title {
  font-size: 2rem;
  @include mobile {
    text-align: center;
    margin-top: 2rem;
    padding: 0 .5rem 0 .5rem;
  }
}

.ws__description {
  font-size: 1.4rem;
  @include desktop {
    padding: 2rem 3rem 0 3rem;
  }
  @include mobile {
    padding: 1rem 1rem 0 1rem;
    text-align: center;
  }
}
</style>
